dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

Экспорт координат выбранных точек в *.txt

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 14.05.2008, 16:06
Экспорт координат выбранных точек в *.txt
slan.ru
 
Регистрация: 13.05.2008
Сообщений: 6

slan.ru вне форума Вставить имя

Добрый день, уважаемые знатоки!

Сразу прошу, не пинайте ногами и не отправляйте в поиск. Все темы, в заголовках которых есть слово "координаты" и "координат" прочитал. Нашел много полезного для себя и практически то, что искал. Но многое остается в полутьме для моего мозга. Сама суть моего поста.

Я работаю в дорожном строительстве. С недавнего времени моя организация приобрела электронный тахеометр. На данный момент ось дороги выносим в натуру с помощью него. Координаты X и Y узловых точек по оси беру из CREDO_MIX, а координату Z подставляю по мере необходимости и вида выноса. Для фрезеровки, нижнего слоя, верхнего, и.т.п.

Возникла необходимость выноса в натуру кромок проезжей части. Но они не всегда соответствуют виду оси. В городских условиях могут быть примыкания, карманы для автобусных остановок и.т.п. Требуется (для начала) получить координаты узловых точек. Хочу начать с того, что бы получить координаты ВЫБРАННЫХ ТОЧЕК в текстовый файл. Последовательность:

1. Проставляем токи в требуемых узлах.
2. Выбираем необходимые точки.
3. Запускаем макрос.
4. Макрос создает в каталоге текстовый файл c названием как у чертежа.
5. Туда записываются координаты примитивов (вроде бы так тут это называют) в формате:
Pt X Y Z <Space>, где
Pt - для начала просто нумерация точек по мере добавления в файл,
X Y Z - координаты,
<Space> - разделитель.

От Вас прошу помощи. В программировании мало понимаю, но для меня пока что ясно, что скрипты можно создать как макрос - VBA, и LISP - на собственном языке. Хотелось бы увидеть такой скрипт, я думаю он не будет громоздким, на удобном Вам языке, но с описанием. Начну разбираться - с чего-нибудь надо начинать. Для начала поставленная задача будет минимальной, в дальнейшем хочу усложнить задачу собственными силами, если потяну.

Сразу оговорюсь, возможности купить ToolPak, Express и уж тем более Civil у меня нет, , да и не требуется пока мне выполнение задач отличных от этой. Поэтому надеюсь на Вашу помощь в написании такого скрипта. А уж за описание процедуры - буду безгранично благодарен.

P.S> Если требуются еще исходные данные - готов в найкротчайшие сроки предоставить их.
Просмотров: 95355
 
Непрочитано 22.11.2016, 07:49
#121
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 326
Отправить сообщение для Vladimir_Sergeevich с помощью ICQ Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


Бася, такие задачи решались столько раз, что лень писать еще раз такой же код.
расставить вхождения блоков по полилинии можно таким куском кода:
Код:
[Выделить все]
 (setq pl_ent (entsel "\nУкажите полилинию <Завершить> : ")) ;;всю обработку указания полилинии не прикладываю дабы не загромождать
(setq 
	pl_ent (vlax-ename->vla-object (car pl_ent))
	count (vlax-curve-getEndParam pl_ent)
) 
(while (>= count 0) ;;inserting blk def
	(setq pt_ins (vlax-curve-getPointAtParam pl_ent count)
		ang_ins (+ (* pi 0.5)
		(angle 
			pt_ins 
			(mapcar '+
				pt_ins
				(vlax-curve-getFirstDeriv pl_ent count)
			)
		))
	) 
	
	(vla-InsertBlock (sad-get-CurrentSpace) (vlax-3d-point pt_ins) bl_name 1 1 1 ang_ins )
	
	(setq count (1- count))
) ;;while
bl_name - имя вставляемого блока (по хорошему в коде должна быть проверка наличия этого блока и создание его при отсутствии такового)
(sad-get-CurrentSpace) - заменить на указатель пространства в котором надо рисовать

Лень - двигатель прогресса! Лень рисовать ручками - учись кодить.
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 22.11.2016, 09:34
#122
Бася


 
Регистрация: 09.06.2010
Сообщений: 121


Vladimir_Sergeevich, спасибо за помощь! не пыталась писать ибо не умею, а ясно, что эта задача не мною придумана и уже давно решена. тут лучше не мучать своими измышлениями гуру, а спросить уже готовое решение.
по поводу кода - вылезла ошибка

Цитата:
Команда: _appload 01.lsp успешно загружено.
01.lsp успешно загружено.
Команда:
Укажите полилинию <Завершить> : ; ошибка: no function definition: SAD-GET-CURRENTSPACE

Последний раз редактировалось Бася, 22.11.2016 в 09:52.
Бася вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 22.11.2016, 13:04
#123
SergeyP


 
Регистрация: 21.11.2016
Сообщений: 2


Цитата:
Сообщение от VVA Посмотреть сообщение
Можно. Для сегмента полилинии хранится его кривизна (Bulge) Polyline Bulges
Интересная ссылка, спасибо!

Ваша программа станет еще лучше, если сможет сохранять для полилинии помимо координат вершин еще и кривизну участка)
№ x y z bulg

(при этом bulg относится к участку который начинается в данной точке)

Насколько сложно это реализовать?
SergeyP вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.05.2017, 11:58
#124
Рyslan


 
Регистрация: 25.07.2007
Сообщений: 2,093


Как в программе COORN изменить нумерация точек? Чтобы не просто цифрой задавался порядок, но и текстом? Например не 1, а Точка (POint) 1
Рyslan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.05.2017, 22:42
#125
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,449
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от Рyslan Посмотреть сообщение
Как в программе COORN изменить нумерация точек?
Команда COORN из архива ECoorE rev10b.zip
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 19.05.2017, 05:34
#126
Рyslan


 
Регистрация: 25.07.2007
Сообщений: 2,093


Так у меня уже есть эта программа. Или тут что-то новое?

Аа, вроде разобрался. Спасибо!

VVA подскажи еще. Нужен лисп, если такой существует...Например есть текст, с значением, нужно чтобы этот текст суммировался и далее вставлялся с новым значением. Например 0, 20, 40, 60, 80, 100 и так далее

Последний раз редактировалось Рyslan, 19.05.2017 в 13:23.
Рyslan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 19.05.2017, 21:45
#127
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,449
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


FAQ #23 Как последовательно пронумеровать в чертеже числа?
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 20.05.2017, 06:25
#128
Рyslan


 
Регистрация: 25.07.2007
Сообщений: 2,093


Спасибо большое!
Рyslan вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Экспорт координат из dxf в txt eilukha Вертикальные решения на базе AutoCAD 14 26.04.2008 21:53
Нумерация точек на плане и вывод их координат в полярной системе kukuikar Программирование 1 17.02.2008 11:15
Получение текстового массива координат точек. Камыч AutoCAD 5 30.07.2007 12:28
Помощь по Лире Серега М Лира / Лира-САПР 52 28.05.2007 02:47
простановка реальных ординатных размеров (координат точек) AnnaT AutoCAD 7 15.06.2005 17:56

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы